"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InitDb = void 0;
const is_client_1 = require("./is-client");
const getMongoDb_1 = require("../sources/getMongoDb");
function InitDb(config, dbConnection, cb) {
    if (!dbConnection && config) {
        if ((0, is_client_1.isClient)(config.mongoSetting)) {
            (0, getMongoDb_1.default)(config.mongoSetting, (err, collection) => {
                if (err || !collection) {
                    cb(err, undefined);
                }
                else {
                    cb(undefined, collection);
                }
            });
        }
        else {
            const result = config.mongoSetting.client
                .db(config.mongoSetting.database)
                .collection(config.mongoSetting.collection);
            cb(undefined, result);
        }
    }
}
exports.InitDb = InitDb;
//# sourceMappingURL=init-db.js.map